<?php
namespace boru\boruai\Openai\Stream\Response\OutputText\Annotation;

use boru\boruai\Openai\Stream\Response\OutputText\OutputTextBase;

class Added extends OutputTextBase {
    const TYPE = 'response.output_text.annotation.added';
    private $annotation;
    private $annotationIndex;

    public function annotation($annotation=null) {
        if ($annotation !== null) {
            $this->annotation = $annotation;
        }
        return $this->annotation;
    }
    public function annotationIndex($annotationIndex=null) {
        if ($annotationIndex !== null) {
            $this->annotationIndex = $annotationIndex;
        }
        return $this->annotationIndex;
    }

    public function toArray() {
        $return = parent::toArray();
        $return['annotation'] = $this->annotation();
        $return['annotationIndex'] = $this->annotationIndex();
        return $return;
    }
}